@charset "UTF-8";

/* ====================================
	共通スタイル
==================================== */
/* よくある質問 */
.faq {
	--faq-icon-width: 3rem;
	--faq-icon-gap: 1rem;
}

.faq-list {
	display: flex;
	flex-direction: column;
}

.faq-list__item {
	background-color: #fff;
	border-bottom: solid 1px var(--light-gray);
}

.faq-icon {
	display: inline-flex;
	justify-content: center;
	align-items: center;
	inline-size: var(--faq-icon-width);
	aspect-ratio: 1;
	padding-bottom: 0.1em;
	font-family: "Open Sans", sans-serif;
	font-size: 1.6rem;
	font-weight: 700;
	line-height: 1;
	background: #000;
	color: #fff;
	border-radius: 5rem;
	position: relative;
}

.faq-text {
	flex: 1 0;

	a {
		text-decoration: underline;
	}
}

/* よくある質問：Q */
.btn-faq {
	display: flex;
	align-items: start;
	gap: var(--faq-icon-gap);
	inline-size: 100%;
	padding-block: 1.5em;
	padding-right: 3.5rem;
	font-size: 1.5rem;
	font-weight: 500;
	text-align: left;
	position: relative;
}

.btn-faq::before,
.btn-faq::after {
	content: '';
	display: block;
	inline-size: 16px;
	block-size: 4px;
	position: absolute;
	top: 2.3em;
	right: 10px;
	transform: translateY(-50%);
	background-color: var(--charcoal-gray);
	transition: transform var(--transition);
}

.btn-faq::after {
	transform: translateY(-50%) rotate(90deg);
}

.btn-faq[aria-expanded="true"]::after {
	transform: translateY(-50%) rotate(0);
}

/* よくある質問：A */
.answer {
	display: none;
	margin-top: -0.5em;
	padding: 1em 1em 1.5em 0;
	position: relative;

	&::before {
		content: '';
		inline-size: calc(100% - (var(--faq-icon-width) + var(--faq-icon-gap)));
		block-size: 1px;
		border-bottom: dashed 1px var(--light-gray);
		position: absolute;
		top: 0;
		right: 0;
	}

	.faq-icon {
		background: var(--sharp-red);
	}

	.faq-text {
		font-size: 1.4rem;
	}
}

.answer-inner {
	display: flex;
	align-items: start;
	gap: var(--faq-icon-gap);
}

/* ====================================
	ホバー、マウスポインタが有効なデバイス
==================================== */
@media (hover:hover) and (pointer: fine) {}

/* ====================================
	768px未満専用スタイル
==================================== */
@media screen and (width <768px) {}

/* ====================================
	768px以上専用スタイル
==================================== */
@media screen and (width >=768px) {}

/* ====================================
	768px以上1080px未満専用スタイル
==================================== */
@media screen and (768px <=width < 1080px) {}

/* ====================================
	1080px未満専用スタイル
==================================== */
@media screen and (width <1080px) {}

/* ====================================
	1080px以上専用スタイル
==================================== */
@media print,
screen and (1080px <=width) {

	/* よくある質問 */


	.faq-width {
		max-inline-size: 108rem;
	}

	.faq {
		--faq-icon-width: 3.5rem;
		--faq-icon-gap: 3rem;
	}

	.faq-icon {
		font-size: 2rem;
	}

	.faq-text {
		padding-top: 0.25em;
	}

	/* よくある質問：Q */
	.btn-faq {
		padding-right: 6rem;
		font-size: 1.8rem;
	}

	.btn-faq::before,
	.btn-faq::after {
		inline-size: 20px;
		right: 20px;
	}

	.answer {
		.faq-text {
			font-size: 1.5rem;
		}
	}
}